Subject: Re: [PATCH RESEND 0/8] Resend LED patches

From: Lee Jones <[email-masked]>
Date: Fri, 20 Jan 2023 20:02:30 +0000

On Fri, 20 Jan 2023, Arnd Bergmann wrote:

> On Fri, Jan 20, 2023, at 18:15, Lee Jones wrote:
> > On Fri, 20 Jan 2023, Arnd Bergmann wrote:
> 
> >> > Marek Behún (3):
> >> >   leds: turris-omnia: support HW controlled mode via private trigger
> >> >   leds: turris-omnia: initialize multi-intensity to full
> >> >   leds: turris-omnia: change max brightness from 255 to 1
> >> >
> >> > Pali Rohár (5):
> >> >   dt-bindings: leds: register-bit-led: Add active-low property
> >> >   leds: syscon: Implement support for active-low property
> >> >   powerpc/85xx: DTS: Add CPLD definitions for P1021RDB Combo Board CPL
> >> >     Design
> >> >   dt-bindings: leds: Add cznic,turris1x-leds.yaml binding
> >> >   leds: Add support for Turris 1.x LEDs
> >> >
> >> >  .../testing/sysfs-class-led-driver-turris1x   |  31 ++
> >> >  .../bindings/leds/cznic,turris1x-leds.yaml    | 118 +++++
> >> >  .../bindings/leds/register-bit-led.yaml       |   5 +
> >> >  arch/powerpc/boot/dts/fsl/p1020mbg-pc.dtsi    |  92 ++++
> >> >  arch/powerpc/boot/dts/fsl/p1020mbg-pc_32b.dts |   6 +-
> >> >  arch/powerpc/boot/dts/fsl/p1020mbg-pc_36b.dts |   6 +-
> >> >  arch/powerpc/boot/dts/fsl/p1020rdb-pd.dts     |  44 +-
> >> >  arch/powerpc/boot/dts/fsl/p1020utm-pc.dtsi    |  37 ++
> >> >  arch/powerpc/boot/dts/fsl/p1020utm-pc_32b.dts |   4 +-
> >> >  arch/powerpc/boot/dts/fsl/p1020utm-pc_36b.dts |   4 +-
> >> >  arch/powerpc/boot/dts/fsl/p1021rdb-pc.dtsi    |  37 ++
> >> >  arch/powerpc/boot/dts/fsl/p1021rdb-pc_32b.dts |   5 +-
> >> >  arch/powerpc/boot/dts/fsl/p1021rdb-pc_36b.dts |   5 +-
> >> >  arch/powerpc/boot/dts/fsl/p2020rdb-pc.dtsi    |  33 +-
> >
> >> >  drivers/leds/Kconfig                          |  10 +
> >> >  drivers/leds/Makefile                         |   1 +
> >> >  drivers/leds/leds-syscon.c                    |  14 +-
> >> >  drivers/leds/leds-turris-1x.c                 | 474 ++++++++++++++++++
> >> >  drivers/leds/leds-turris-omnia.c              |  46 +-
> >
> > If everyone is convinced that applying these drivers is the correct
> > thing to do, I'd be happy to (rather) take them via LEDs.
> 
> Ok, thanks. I had not actually looked at the patches until today.
> They were in the soc tree backlog but appeared to be misplaced
> there until I read the  0/10 message text.
> 
> Looking at it now, I see:
> 
> - patches 1 and 2 seem obvious and have been reviewed by
>   others already
> 
> - patch 3 is for arch/powerpc and should get merged through
>   there if there are no objections to the binding in patch 4.
> 
> - patch 5 is the big driver patch, with a Reviewed-by tag
>   from Marek Behún, who is the author of the last three patches.
>   An earlier version of this patch was sent in June and got
>   a few Acks and detailed feedback from Andy [1], but he's also
>   not on Cc, and I don't know if his comments are all resolved
>   in this version.
> 
> - Patches 6, 7 and 8 all seem simple LED subsystem patches,
>   they just need review from you in order to get applied.
>   These are also missing a Signed-off-by from the submitter
>   in addition to the author in order to be applied.

Very well.  Let's have them resent then please (with past reviewers on
Cc:) and we'll go from there.

-- 
Lee Jones [李琼斯]